ServerType.ClientSubscription (Apache Geode 1.13.2)
Date: 2021-03-08

org.apache.geode.cache.configuration

## Class ServerType.ClientSubscription

- java.lang.Object
- - org.apache.geode.cache.configuration.ServerType.ClientSubscription

- Enclosing class:
    ServerType

      public static class ServerType.ClientSubscription
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="eviction-policy" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="entry"/>
                   <enumeration value="mem"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="capacity" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `capacity`
    `protected String` | `diskStoreName`
    `protected String` | `evictionPolicy`
    `protected String` | `overflowDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSubscription()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCapacity()` Gets the value of the capacity property.
    `String` | `getDiskStoreName()` Gets the value of the diskStoreName property.
    `String` | `getEvictionPolicy()` Gets the value of the evictionPolicy property.
    `String` | `getOverflowDirectory()` Gets the value of the overflowDirectory property.
    `void` | `setCapacity(String value)` Sets the value of the capacity property.
    `void` | `setDiskStoreName(String value)` Sets the value of the diskStoreName property.
    `void` | `setEvictionPolicy(String value)` Sets the value of the evictionPolicy property.
    `void` | `setOverflowDirectory(String value)` Sets the value of the overflowDirectory property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### evictionPolicy

          protected String evictionPolicy

    - #### capacity

          protected String capacity

    - #### diskStoreName

          protected String diskStoreName

    - #### overflowDirectory

          protected String overflowDirectory

  - ### Constructor Detail

    - #### ClientSubscription

          public ClientSubscription()

  - ### Method Detail

    - #### getEvictionPolicy

          public String getEvictionPolicy()

      Gets the value of the evictionPolicy property. possible object is `String`

    - #### setEvictionPolicy

          public void setEvictionPolicy(String value)

      Sets the value of the evictionPolicy property. allowed object is `String`

    - #### getCapacity

          public String getCapacity()

      Gets the value of the capacity property. possible object is `String`

    - #### setCapacity

          public void setCapacity(String value)

      Sets the value of the capacity property. allowed object is `String`

    - #### getDiskStoreName

          public String getDiskStoreName()

      Gets the value of the diskStoreName property. possible object is `String`

    - #### setDiskStoreName

          public void setDiskStoreName(String value)

      Sets the value of the diskStoreName property. allowed object is `String`

    - #### getOverflowDirectory

          public String getOverflowDirectory()

      Gets the value of the overflowDirectory property. possible object is `String`

    - #### setOverflowDirectory

          public void setOverflowDirectory(String value)

      Sets the value of the overflowDirectory property. allowed object is `String`